module PackageHelper


  def build_log_url( project, package, platform, arch )
    get_frontend_url_for( :controller => 'result' ) +
      "/#{project}/#{platform}/#{package}/#{arch}/log"
  end


  def file_url( project, package, filename )
    get_frontend_url_for( :controller => '') +
      "public/source/#{project}/#{package}/#{filename}"
  end


  def rpm_url( project, package, repository, arch, filename )
    get_frontend_url_for( :controller => 'build' ) +
      "/#{project}/#{repository}/#{arch}/#{package}/#{filename}"
  end

  def human_readable_fsize( bytes )
    number_to_human_size(bytes, :precision => 2)
  end
  
  def guess_code_class( filename )
    case filename
       when "_link" then return "xml"
    end
    case Pathname.new(filename).extname.downcase
       when ".spec" then return "spec"
       when ".diff" then return "diff"
       when ".patch" then return "patch"
       when ".rb" then return "ruby"
       when ".kiwi" then return "xml"
    end
    return "spec"
  end
end

